repo/gentoo:master commit in: dev-python/pyzotero/
MichaŠGórny <[email protected]>
| Newsgroups | gmane.linux.gentoo.cvs |
|---|---|
| Message-ID | <1786681272.894a48db39ee15ec8ff847795cf9233b3c15d748.mgorny@gentoo> |
commit: 894a48db39ee15ec8ff847795cf9233b3c15d748
Author: Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Fri Aug 14 03:45:07 2026 +0000
Commit: Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Fri Aug 14 04:21:12 2026 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=894a48db
dev-python/pyzotero: Bump to 1.13.6
Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>
dev-python/pyzotero/Manifest | 2 ++
dev-python/pyzotero/pyzotero-1.13.6.ebuild | 49 ++++++++++++++++++++++++++++++
2 files changed, 51 insertions(+)
diff --git a/dev-python/pyzotero/Manifest b/dev-python/pyzotero/Manifest
index fb1dbec885c5..b7596efe5cb4 100644
--- a/dev-python/pyzotero/Manifest
+++ b/dev-python/pyzotero/Manifest
@@ -1,2 +1,4 @@
DIST pyzotero-1.13.5.tar.gz 558009 BLAKE2B 9c0a60b3addd9c685f3b4b73e8f18c42b3a7151f1cc39103bf451f305c134ae54da5c8faeb516ba788be67b7b208e4b2a7bb3491c1fa55a6d9043c5dcc6d6592 SHA512 31c95a52a97526614fb95655a2e4d5cdffe36da3bba3981a7548c49893f172360363fe73b027ce73a1a22eb2a46a9173019f05c59b442549de00b328df05b583
DIST pyzotero-1.13.5.tar.gz.provenance 9471 BLAKE2B 6b177f30be5c315446013472f1cfcaae4956dc15c8733e3d45f8ffd16f4f8e33db34432a55091ea80af0bca110dcf952abe50f4a55defba5ac4281ae9402fed7 SHA512 0886f34f58a84fc3b644c0694592691d4bc6ed7a97e9be0e2b889120bdb992612557083563361f318a5768dab93413c297d1a57244a3ae5151099e95797dbcdd
+DIST pyzotero-1.13.6.tar.gz 558828 BLAKE2B 119281e9d92dd052146ec0375429a61ed751d8a36e345b2232d9c6bd6efedacd9931432944adf803aa37ae9c9eea52c3c609933ed00c9bbf32992ac9b71f9291 SHA512 b59fa81d54bbe1fdce79843db092dbbe700eba8ea84ca17247e77ef44b55c2e4f670c8c4595f5b485256d2dd9e207f76ad2042df534ebf7e3bc4ba06d212aa25
+DIST pyzotero-1.13.6.tar.gz.provenance 9835 BLAKE2B 1c8c791956b3af96c64bb8606a2b3e81f9308329d4f6102de082926f4fd04e1bedb41eb8f61209435b3993ed200090046e0679044a9d6d1c624d4e6cf152011a SHA512 1a6f3e008d1822d63b412f6678f921b1d95ae499a0214b530d407aaac2f0b17689270e0160faf311b321c2fe12314c14a615cd4bf1cbdee74e1a70a64f75665a
diff --git a/dev-python/pyzotero/pyzotero-1.13.6.ebuild b/dev-python/pyzotero/pyzotero-1.13.6.ebuild
new file mode 100644
index 000000000000..43581ec70ba7
--- /dev/null
+++ b/dev-python/pyzotero/pyzotero-1.13.6.ebuild
@@ -0,0 +1,49 @@
+# Copyright 1999-2026 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=uv-build
+PYPI_VERIFY_REPO=https://github.com/urschrei/pyzotero
+PYTHON_COMPAT=( python3_{12..14} )
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="A Python client for the Zotero API"
+HOMEPAGE="
+ https://github.com/urschrei/pyzotero/
+ https://pypi.org/project/pyzotero/
+"
+
+LICENSE="BlueOak-1.0.0"
+SLOT="0"
+KEYWORDS="~amd64"
+
+RDEPEND="
+ app-text/zotero-bin
+ <dev-python/bibtexparser-2[${PYTHON_USEDEP}]
+ >=dev-python/bibtexparser-1.4.3[${PYTHON_USEDEP}]
+ >=dev-python/feedparser-6.0.12[${PYTHON_USEDEP}]
+ >=dev-python/httpx-0.28.1[${PYTHON_USEDEP}]
+ >=dev-python/whenever-0.8.8[${PYTHON_USEDEP}]
+"
+
+BDEPEND="
+ >=dev-python/trove-classifiers-2024.7.2[${PYTHON_USEDEP}]
+ test? (
+ dev-python/ipython[${PYTHON_USEDEP}]
+ >=dev-python/pytz-2025.2[${PYTHON_USEDEP}]
+ dev-python/python-dateutil[${PYTHON_USEDEP}]
+ >=dev-python/tzdata-2025.2[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_sphinx doc \
+ dev-python/sphinx-rtd-theme
+EPYTEST_PLUGINS=( pytest-asyncio )
+distutils_enable_tests pytest
+
+python_test() {
+ > tests/__init__.py || die
+ epytest -o addopts=
+}